﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Estat.Sri.DataRetriever {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "15.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    public class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        public static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Estat.Sri.DataRetriever.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        public static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Error during writing responce.
        /// </summary>
        public static string DataRetriever_ExecuteSqlQuery_Error_during_writing_responce {
            get {
                return ResourceManager.GetString("DataRetriever_ExecuteSqlQuery_Error_during_writing_responce", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Error executing generated SQL and populating SDMX model.
        /// </summary>
        public static string DataRetriever_ExecuteSqlQuery_Error_executing_generated_SQL_and_populating_SDMX_model {
            get {
                return ResourceManager.GetString("DataRetriever_ExecuteSqlQuery_Error_executing_generated_SQL_and_populating_SDMX_m" +
                        "odel", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to (&apos;{0} is not mapped&apos; = &apos;{1}&apos;).
        /// </summary>
        public static string DataRetriever_GenerateComponentWhere_ {
            get {
                return ResourceManager.GetString("DataRetriever_GenerateComponentWhere_", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateFrom ....
        /// </summary>
        public static string DataRetriever_GenerateFrom_Begin_GenerateFrom____ {
            get {
                return ResourceManager.GetString("DataRetriever_GenerateFrom_Begin_GenerateFrom____", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateFrom ....
        /// </summary>
        public static string DataRetriever_GenerateFrom_End_GenerateFrom____ {
            get {
                return ResourceManager.GetString("DataRetriever_GenerateFrom_End_GenerateFrom____", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated FROM: {0}.
        /// </summary>
        public static string DataRetriever_GenerateFrom_Generated_FROM___0_ {
            get {
                return ResourceManager.GetString("DataRetriever_GenerateFrom_Generated_FROM___0_", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Could not generate sql query.
        /// </summary>
        public static string DataRetriever_GenerateSqlQuery_Could_not_generate_sql_query {
            get {
                return ResourceManager.GetString("DataRetriever_GenerateSqlQuery_Could_not_generate_sql_query", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Error populating header.
        /// </summary>
        public static string DataRetriever_GetMessageHeader_Error_populating_header {
            get {
                return ResourceManager.GetString("DataRetriever_GetMessageHeader_Error_populating_header", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Could not retrieve Mappings from &quot;Mapping Store&quot;! Cause:.
        /// </summary>
        public static string DataRetriever_Initialize_Could_not_retrieve_Mappings_from__Mapping_Store___Cause__ {
            get {
                return ResourceManager.GetString("DataRetriever_Initialize_Could_not_retrieve_Mappings_from__Mapping_Store___Cause_" +
                        "_", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Error while retrieving Mappings from &quot;Mapping Store&quot;! Cause:.
        /// </summary>
        public static string DataRetriever_Initialize_Error_while_retrieving_Mappings_from__Mapping_Store___Cause__ {
            get {
                return ResourceManager.GetString("DataRetriever_Initialize_Error_while_retrieving_Mappings_from__Mapping_Store___Ca" +
                        "use__", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End Data Retriever initialization.
        /// </summary>
        public static string DataRetriever_RetrieveData_End_Data_Retriever_initialization {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveData_End_Data_Retriever_initialization", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End Retrieving header information.
        /// </summary>
        public static string DataRetriever_RetrieveData_End_Retrieving_header_information {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveData_End_Retrieving_header_information", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Query executed successfully and SDMX DataSet populated.
        /// </summary>
        public static string DataRetriever_RetrieveData_Query_executed_successfully_and_DataSet_populated {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveData_Query_executed_successfully_and_DataSet_populated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start Initializing Data Retriever.
        /// </summary>
        public static string DataRetriever_RetrieveData_Start_Initializing_Data_Retriever {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveData_Start_Initializing_Data_Retriever", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start Retrieving header information.
        /// </summary>
        public static string DataRetriever_RetrieveData_Start_Retrieving_header_information {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveData_Start_Retrieving_header_information", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End Executing SQL in dissemination database and populate DataTable.
        /// </summary>
        public static string DataRetriever_RetrieveDataTable_End_Executing_SQL_in_dissemination_database_and_populate_DataTable {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveDataTable_End_Executing_SQL_in_dissemination_database_and_p" +
                        "opulate_DataTable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Query executed successfully and DataTable populated.
        /// </summary>
        public static string DataRetriever_RetrieveDataTable_Query_executed_successfully_and_DataTable_populated {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveDataTable_Query_executed_successfully_and_DataTable_populat" +
                        "ed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start Executing SQL in dissemination database and populate DataTable.
        /// </summary>
        public static string DataRetriever_RetrieveDataTable_Start_Executing_SQL_in_dissemination_database_and_populate_DataTable {
            get {
                return ResourceManager.GetString("DataRetriever_RetrieveDataTable_Start_Executing_SQL_in_dissemination_database_and" +
                        "_populate_DataTable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to componentValues not of MappedValuesFlat type.
        /// </summary>
        public static string ErrorComponentValuesNotMappedValuesFlaType {
            get {
                return ResourceManager.GetString("ErrorComponentValuesNotMappedValuesFlaType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Incomplete mapping set. Please check if all dimensions, measure(s) and mandatory attributes are mapped.
        /// </summary>
        public static string ErrorIncompleteMappingSet {
            get {
                return ResourceManager.GetString("ErrorIncompleteMappingSet", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to info not of DataRetrievalInfoTabular type.
        /// </summary>
        public static string ErrorInfoNotDataRetrievalInfoTabularType {
            get {
                return ResourceManager.GetString("ErrorInfoNotDataRetrievalInfoTabularType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No Header information in the Mapping Store and no default header defined.
        /// </summary>
        public static string ErrorNoHeader {
            get {
                return ResourceManager.GetString("ErrorNoHeader", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Type not DataRetrievalInfoSeries.
        /// </summary>
        public static string ErrorTypeNotDataRetrievalInfoSeries {
            get {
                return ResourceManager.GetString("ErrorTypeNotDataRetrievalInfoSeries", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Type not MappedXsValues.
        /// </summary>
        public static string ErrorTypeNotMappedXsValues {
            get {
                return ResourceManager.GetString("ErrorTypeNotMappedXsValues", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Unable to generate SQL.
        /// </summary>
        public static string ErrorUnableToGenerateSQL {
            get {
                return ResourceManager.GetString("ErrorUnableToGenerateSQL", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to DataRetriever not initialized. Please call Initialize method.
        /// </summary>
        public static string ExceptionNotInit {
            get {
                return ResourceManager.GetString("ExceptionNotInit", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateSelect ....
        /// </summary>
        public static string InfoBeginGenerateSelect {
            get {
                return ResourceManager.GetString("InfoBeginGenerateSelect", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateSql ....
        /// </summary>
        public static string InfoBeginGenerateSql {
            get {
                return ResourceManager.GetString("InfoBeginGenerateSql", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateWhere ....
        /// </summary>
        public static string InfoBeginGenerateWhere {
            get {
                return ResourceManager.GetString("InfoBeginGenerateWhere", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Data Retriever building block invoked..
        /// </summary>
        public static string InfoDataRetrieverBBInvoked {
            get {
                return ResourceManager.GetString("InfoDataRetrieverBBInvoked", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to DataRetriever Building Block invoke completed.
        /// </summary>
        public static string InfoEndDataRetrieverBBInvoked {
            get {
                return ResourceManager.GetString("InfoEndDataRetrieverBBInvoked", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End Executing SQL in dissemination database and write to SDMXIO writer.
        /// </summary>
        public static string InfoEndExecutingSql {
            get {
                return ResourceManager.GetString("InfoEndExecutingSql", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateOrderBy ....
        /// </summary>
        public static string InfoEndGenerateOrderBy {
            get {
                return ResourceManager.GetString("InfoEndGenerateOrderBy", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateOrderBy ....
        /// </summary>
        public static string InfoEndGenerateOrderByWithPagination {
            get {
                return ResourceManager.GetString("InfoEndGenerateOrderByWithPagination", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateOrderBy ....
        /// </summary>
        public static string InfoEndGeneratePagination {
            get {
                return ResourceManager.GetString("InfoEndGeneratePagination", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateSelect ....
        /// </summary>
        public static string InfoEndGenerateSelect {
            get {
                return ResourceManager.GetString("InfoEndGenerateSelect", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateSql ....
        /// </summary>
        public static string InfoEndGenerateSql {
            get {
                return ResourceManager.GetString("InfoEndGenerateSql", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End GenerateWhere ....
        /// </summary>
        public static string InfoEndGenerateWhere {
            get {
                return ResourceManager.GetString("InfoEndGenerateWhere", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to End Generating SQL for dissemination database.
        /// </summary>
        public static string InfoEndGeneratingSQLDDB {
            get {
                return ResourceManager.GetString("InfoEndGeneratingSQLDDB", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated OrderBy: {0}.
        /// </summary>
        public static string InfoGeneratedOrderByFormat1 {
            get {
                return ResourceManager.GetString("InfoGeneratedOrderByFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated Pagination: {0}.
        /// </summary>
        public static string InfoGeneratedPaginationFormat1 {
            get {
                return ResourceManager.GetString("InfoGeneratedPaginationFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated SELECT: {0}.
        /// </summary>
        public static string InfoGeneratedSelectFormat1 {
            get {
                return ResourceManager.GetString("InfoGeneratedSelectFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated SQL: {0}.
        /// </summary>
        public static string InfoGeneratedSQLFormat1 {
            get {
                return ResourceManager.GetString("InfoGeneratedSQLFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generated Where: {0}.
        /// </summary>
        public static string InfoGeneratedWhereFormat1 {
            get {
                return ResourceManager.GetString("InfoGeneratedWhereFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateOrderBy ....
        /// </summary>
        public static string InfoGenerateOrderBy {
            get {
                return ResourceManager.GetString("InfoGenerateOrderBy", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateOrderByWithPagination ....
        /// </summary>
        public static string InfoGenerateOrderByWithPagination {
            get {
                return ResourceManager.GetString("InfoGenerateOrderByWithPagination", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Begin GenerateOrderBy ....
        /// </summary>
        public static string InfoGeneratePagination {
            get {
                return ResourceManager.GetString("InfoGeneratePagination", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Output:.
        /// </summary>
        public static string InfoOutput {
            get {
                return ResourceManager.GetString("InfoOutput", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start Executing SQL in dissemination database and write to SDMXIO writer.
        /// </summary>
        public static string InfoStartExecutingSql {
            get {
                return ResourceManager.GetString("InfoStartExecutingSql", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start Generating SQL for dissemination database.
        /// </summary>
        public static string InfoStartGeneratingSQLDDB {
            get {
                return ResourceManager.GetString("InfoStartGeneratingSQLDDB", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No Dataflow in query or dataflow not in first DataWhere.
        /// </summary>
        public static string MissingDataflowInQuery {
            get {
                return ResourceManager.GetString("MissingDataflowInQuery", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot transcode time if there is no Frequency dimension in the DSD..
        /// </summary>
        public static string MissingFrequency {
            get {
                return ResourceManager.GetString("MissingFrequency", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No header information in the Mapping Store; using default header.
        /// </summary>
        public static string No_header_information_in_the_Mapping_Store {
            get {
                return ResourceManager.GetString("No_header_information_in_the_Mapping_Store", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No DataWhere in query.
        /// </summary>
        public static string NoDataWhereInQuery {
            get {
                return ResourceManager.GetString("NoDataWhereInQuery", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot retrieve data for dataflow: {0}. Either there was no mapping for it or you are not authorized to access this dataflow..
        /// </summary>
        public static string NoMappingForDataflowFormat1 {
            get {
                return ResourceManager.GetString("NoMappingForDataflowFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to NoRecordsFound.
        /// </summary>
        public static string NoRecordsFound {
            get {
                return ResourceManager.GetString("NoRecordsFound", resourceCulture);
            }
        }
    }
}
